Skip to content

PowerOnService⁠

Run installed PowerOn specfiles using the SYMCONNECT keyword.

Operations⁠

executePowerOnReturnArray⁠

POST

Executes a specfile to PowerOn a connection and returns an array.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/poweron/executePowerOnReturnArray
POST /nexum/627/persistent/poweron/executePowerOnReturnArray HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Header": {
    "MessageID": "string"
  },
  "Body": {
    "File": "string",
    "RGSession": 0,
    "UserDefinedParameters": {
      "RGUserChr": [
        {
          "ID": 0,
          "Value": "0"
        },
        {
          "ID": 0,
          "Value": "0"
        }
      ],
      "RGUserNum": [
        {
          "ID": 0,
          "Value": 0
        }
      ]
    }
  },
  "Credentials": {
    "UserNumberCredentials": {
      "UserNumber": 1995,
      "Password": "thiswillwerkOP00!"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

executePowerOn⁠

POST

Executes a specfile to PowerOn a connection.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/poweron/executePowerOn
POST /nexum/627/persistent/poweron/executePowerOn HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Header": {
    "MessageID": "string"
  },
  "Body": {
    "File": "string",
    "RGSession": 0,
    "UserDefinedParameters": {
      "RGUserChr": [
        {
          "ID": 0,
          "Value": "0"
        },
        {
          "ID": 0,
          "Value": "0"
        }
      ],
      "RGUserNum": [
        {
          "ID": 0,
          "Value": 0
        }
      ]
    }
  },
  "Credentials": {
    "UserNumberCredentials": {
      "UserNumber": 1995,
      "Password": "thiswillwerkOP00!"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

executeMCWPowerOn⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/poweron/executeMCWPowerOn
POST /nexum/627/persistent/poweron/executeMCWPowerOn HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "Header": {
    "MessageID": "string",
    "MCWState": "string"
  },
  "Body": {
    "File": "string",
    "InputLetterFile": "string",
    "MCWSessionNumber": 0,
    "User": 0,
    "UserDefinedParameters": {
      "MCWUserNumber": [
        {
          "ID": 0,
          "Value": 0
        }
      ],
      "MCWUserChr": [
        {
          "ID": 0,
          "Value": "string"
        }
      ],
      "MCWUserDate": [
        {
          "ID": 0,
          "Value": "string"
        }
      ],
      "MCWUserRate": [
        {
          "ID": 0,
          "Value": 0
        }
      ],
      "MCWUserCode": [
        {
          "ID": 0,
          "Value": 0
        }
      ],
      "MCWUserAmount": [
        {
          "ID": 0,
          "Value": 0
        }
      ],
      "MCWUserFloat": [
        {
          "ID": 0,
          "Value": 0
        }
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

executeMCWPowerOnReturnArray⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/poweron/executeMCWPowerOnReturnArray
POST /nexum/627/persistent/poweron/executeMCWPowerOnReturnArray HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "Header": {
    "MessageID": "string",
    "MCWState": "string"
  },
  "Body": {
    "File": "string",
    "InputLetterFile": "string",
    "MCWSessionNumber": 0,
    "User": 0,
    "UserDefinedParameters": {
      "MCWUserNumber": [
        {
          "ID": 0,
          "Value": 0
        }
      ],
      "MCWUserChr": [
        {
          "ID": 0,
          "Value": "string"
        }
      ],
      "MCWUserDate": [
        {
          "ID": 0,
          "Value": "string"
        }
      ],
      "MCWUserRate": [
        {
          "ID": 0,
          "Value": 0
        }
      ],
      "MCWUserCode": [
        {
          "ID": 0,
          "Value": 0
        }
      ],
      "MCWUserAmount": [
        {
          "ID": 0,
          "Value": 0
        }
      ],
      "MCWUserFloat": [
        {
          "ID": 0,
          "Value": 0
        }
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}